=== debian/changelog ===
vim (1:7.0-219+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (165 - 219), see README.gz for details.

  [ Stefano Zacchiroli ]
  * vim-addons support:
    - converted to YAML the registry entry for matchit
  * debian/control
    - added XS-Vcs-Browser field

  [ James Vega ]
  * Fix the file test for deciding whether we need to remove alternatives to
    properly transition the Russian manpage alternatives.
  * Fix the handling of the stale diversion when /usr/bin/vim.org is already
    missing.
  * Fix the handling of alternatives which pointed at the stale alternative so
    the alternative isn't changed from auto to manual.
  * Remove the 'iskeyword' setting in Ruby's ftplugin as suggested by Tim
    Pope in #389332.
  * Add patches/netrw.vim-tmpfile_suffix_escape.diff, which escapes the suffix
    of the tmpfile filename.

 -- James Vega <jamessan@debian.org>  Tue, 20 Mar 2007 18:27:27 -0400

vim (1:7.0-164+3) unstable; urgency=low

  [ James Vega ]
  * Remove the patch notes for patches after 164 in debian/README.  Forgot
    about those when removing the patches from svn to prepare the last upload.

 -- James Vega <jamessan@debian.org>  Sun, 14 Jan 2007 10:13:00 -0500

vim (1:7.0-164+2) unstable; urgency=medium

  [ James Vega ]
  * debian/vim-variant.preinst:
    + Move diversion removal here from vim-variant.postinst.  Manually remove
      /usr/bin/vim in order to be able to remove the diversion.  Fixes
      upgrades from Sarge leaving behind stale binaries.  (closes: #401000)
    + Remove the alternatives for ru.{UTF-8,KOI8-R} manpages so the
      alternatives system doesn't attempt to keep the links around after the
      upgrade.  Fixes upgrades from Etch.  (closes: #399024)

 -- James Vega <jamessan@debian.org>  Thu,  4 Jan 2007 01:50:25 -0500

vim (1:7.0-164+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (159 - 164), see README.gz for details.

  [ James Vega ]
  * Shipped tags file was being regenerated (closes: #397837)
    - Do not pre-generate tags file, vim-runtime's postinst is already
      handling tag generation
    - Remove tags file in vim-runtime's postrm
  * Add Provides: editor to the gvim variants.  (closes: #398572)
  * Remove the empty vim-variant.postrm.
  * Move the Russian KOI8-R man pages to /usr/share/man/ru/man1 and remove the
    utf8 man pages.  man will handle the conversion.  (closes: #368754)

 -- James Vega <jamessan@debian.org>  Wed, 15 Nov 2006 08:48:51 -0500

vim (1:7.0-158+1) unstable; urgency=medium

  [ Debian Vim Maintainers ]
  * New upstream patches (153 - 158), see README.gz for details.
    - Do not let the fold level become negative. (closes: #395413)
  * Urgency medium since #396934 affects other packages.

  [ James Vega ]
  * Add vim-runtime.postinst which runs helpztags so that we don't break the
    help for other Vim addons everytime vim-runtime is upgraded.
    (closes: #396934)
  * Update the vim-basic install target in debian/rules to not rely on the
    vimcurrent symlink before it has been setup.

 -- James Vega <jamessan@debian.org>  Mon,  6 Nov 2006 22:41:59 -0500

vim (1:7.0-152+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (123 - 152), see README.gz for details.
    - Correct the button order in the GTK+ file chooser dialog so that it
      matches the GNOME Human Interface Guidelines. (closes: #367639)

  [ James Vega ]
  * Bump vim-common's priority to important to match the override.
  * Remove patch gui_gtk.c-abs_path.diff, merged upstream.
  * Remove patch gui_xmebw.c-lesstif_crash.diff, merged upstream.
  * Add patch html.vim-syntax_spell.diff, which adds support for highlighting
    of spelling mistakes. (closes: #393347)
  * Add patch changelog.vim-ftplugin_split-buffer.diff, which corrects an
    invalid command used for opening the changelog in a split window.
    (closes: #392840)

  [ Stefano Zacchiroli ]
  * Added patch dosini.vim-hash_comment.diff which adds support for # comments
    in dosini syntax highlighting, thanks to Adeodato Simó. (closes: #378952)
  * Added patch zh_TW.po-swap_recovery_typo.diff which fixes a typo in a
    traditional Chinese message when editing a file for which a swap file
    already exists. (closes: #347420)
  * debian/control
    - renamed svn info field to XS-Vcs-Svn, to match the forthcoming official
      name

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Oct 2006 17:07:37 +0200

vim (1:7.0-122+1) unstable; urgency=medium

  [ Debian Vim Maintainers ]
  * New upstream patches (095 - 122), see README.gz for details.
  * Urgency medium for RC bug fixes.

  [ James Vega ]
  * Since vim-gui-common no longer depends on vim-common (to allow for
    binNMUing), make /usr/share/doc/vim-gui-common a directory instead of a
    symlink to /usr/share/doc/vim-common. (closes: #387794)
  * Add versioned Conflicts/Replaces against vim-doc for vim to allow proper
    upgrades from Sarge. (closes: #381526)
  * Update debian/copyright with the license information for the user and
    reference manuals.
  * Add patch zsh.vim-nested_quotes.diff, which fixes handling of single
    quotes nested inside double quotes. (closes: #390911)
  * Add a gnome-icon-theme Suggests for the packages which use a GTK/Gnome
    GUI.
  * Build vim-tiny with multibyte support. (closes: #361378)
  * Add patch gui_gtk.c-abs_path.diff, which ensures the GTK file selection
    dialog remembers the previously used directory. (closes: #368668)
  * Add mp.vim-cmd_check.diff, which fixes an incorrect boolean check.
    (closes: #384154)

  [ Stefano Zacchiroli ]
  * Added patches perl.vim-ftplugin_perldoc.diff,
    perl.vim-ftplugin_pydoc.diff, and ruby.vim-ftplugin_ri.diff, which trigger
    usage of perldoc/pydoc/ri for keyword lookup on perl/python/ruby files.
    (closes: #389332)

 -- James Vega <jamessan@debian.org>  Mon,  9 Oct 2006 19:37:58 -0400

vim (1:7.0-094+1) unstable; urgency=medium


