=== debian/control ===
Source: vim
Section: editors
Priority: optional
Maintainer: Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <nobse@debian.org>, Pierre Habouzit <madcoder@debian.org>, Matthijs Mohlmann <matthijs@cacholong.nl>, Stefano Zacchiroli <zack@debian.org>, Alexis Sukrieh <sukria@sukria.net>, Pepijn de Langen <pepijn@ce.et.tudelft.nl>, James Vega <jamessan@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.2.21), dpkg (>> 1.7.0), dpkg-dev (>= 1.13.19), bzip2, perl (>= 5.6), libgpmg1-dev [!hurd-i386] | not+linux-gnu, libperl-dev (>= 5.6), tcl8.4-dev [!hurd-i386], python-dev, libxpm-dev, libncurses5-dev, ruby, ruby1.8-dev, libgtk2.0-dev (>= 2.2), libgnomeui-dev [!hurd-i386], lesstif2-dev, quilt, make (>= 3.80+3.81.b4)
Build-Conflicts: libperl-dev (= 5.8.4-1)
XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-vim/trunk/packages/vim
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vim/trunk/packages/vim/

Package: vim-common
Priority: important
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: vim (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3)
Replaces: manpages-it (<= 0.3.4-3), manpages-pl (<=20060331-1), vim (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3), vim-runtime (<< 1:7.0-010+1)
Recommends: vim | vim-gnome | vim-gtk | vim-lesstif | vim-perl | vim-python | vim-ruby | vim-tcl | vim-full | vim-tiny
Description: Vi IMproved - Common files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains files shared by all non GUI-enabled vim
 variants (vim and vim-tiny currently) available in Debian.
 Examples of such shared files are: manpages, common executables
 like vimtutor and xxd, and configuration files.

Package: vim-gui-common
Priority: optional
Architecture: all
Conflicts: vim (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3)
Replaces: manpages-pl (<=20060331-1), vim (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3)
Recommends: vim-gnome | vim-gtk | vim-lesstif | vim-perl | vim-python | vim-ruby | vim-tcl | vim-full
Description: Vi IMproved - Common GUI files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains files shared by all GUI-enabled vim
 variants (vim-perl, vim-gnome, ...) available in Debian.
 Examples of such shared files are: icons,
 desktop environments settings, and menu entries.

Package: vim-runtime
Priority: optional
Architecture: all
Conflicts: vim-common (<< 1:6.4-007+2), vim (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3)
Replaces: manpages-pl (<=20060331-1), vim-common (<< 1:6.4-007+2), vim (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3)
Recommends: vim | vim-gnome | vim-gtk | vim-lesstif | vim-perl | vim-python | vim-ruby | vim-tcl | vim-full | vim-tiny
Enhances: vim-tiny
Description: Vi IMproved - Runtime files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains the architecture independent runtime
 files, used, if available, by all vim variants available in
 Debian. Example of such runtime files are: online documentation,
 rules for language-specific syntax highlighting and indentation,
 color schemes, and standard plugins.

Package: vim-doc
Section: doc
Priority: optional
Architecture: all
Description: Vi IMproved - HTML documentation
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains the HTML version of the online
 documentation.

Package: vim-tiny
Priority: important
Architecture: any
Depends: vim-common (= ${binary:Version}), ${shlibs:Depends}
Provides: editor
Description: Vi IMproved - enhanced vi editor - compact version
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a minimal version of vim compiled with no
 GUI and a small subset of features in order to keep small the
 package size. This package does not depend on the vim-runtime
 package, but installing it you will get its additional benefits
 (online documentation, plugins, ...).

Package: vim
Priority: optional
Architecture: any
Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${shlibs:Depends}
Suggests: ctags, vim-doc, vim-scripts
Provides: editor
Conflicts: vim-doc (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3), vim-common (<< 1:6.4-001+3)
Replaces: vim-doc (<< 1:6.4-001+3), vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3)
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contain a version of vim compiled with a rather
 standard set of features. See the other vim-* packages if you
 need more (or less).

Package: vim-perl
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${shlibs:Depends}
Suggests: cscope, vim-doc, ttf-bitstream-vera, gnome-icon-theme
Provides: gvim, editor
Conflicts: vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3), vim-common (<< 1:6.4-001+3)
Replaces: vim (<= 1:6.3-068+1), vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3)
Description: Vi IMproved - enhanced vi editor - with Perl support
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with Perl
 scripting support and the GTK2 GUI.

Package: vim-python
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${shlibs:Depends}
Suggests: cscope, vim-doc, ttf-bitstream-vera, gnome-icon-theme
Provides: gvim, editor
Conflicts: vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3), vim-common (<< 1:6.4-001+3)
Replaces: vim (<= 1:6.3-068+1), vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3)
Description: Vi IMproved - enhanced vi editor - with Python support
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with Python
 scripting support and the GTK2 GUI.

Package: vim-ruby
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${shlibs:Depends}
Suggests: cscope, vim-doc, ttf-bitstream-vera, gnome-icon-theme
Provides: gvim, editor
Conflicts: vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3), vim-common (<< 1:6.4-001+3)
Replaces: vim (<= 1:6.3-068+1), vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-tcl (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3)
Description: Vi IMproved - enhanced vi editor - with Ruby support
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with Ruby
 scripting support and the GTK2 GUI.

Package: vim-tcl
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${shlibs:Depends}
Suggests: cscope, vim-doc, ttf-bitstream-vera, gnome-icon-theme
Provides: gvim, editor
Conflicts: vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3), vim-common (<< 1:6.4-001+3)
Replaces: vim (<= 1:6.3-068+1), vim-full (<< 1:6.4-001+3), vim-gnome (<< 1:6.4-001+3), vim-gtk (<< 1:6.4-001+3), vim-lesstif (<< 1:6.4-001+3), vim-perl (<< 1:6.4-001+3), vim-python (<< 1:6.4-001+3), vim-ruby (<< 1:6.4-001+3), vim-tiny (<< 1:6.4-001+3)
Description: Vi IMproved - enhanced vi editor - with TCL support
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
